Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.utils
Class JSMArray<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<E>
                  org.one2team.utils.JSMArray<E>

All Implemented Interfaces:
  Array<E>, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, org.mozilla.javascript.Scriptable

Direct Known Subclasses:
  JSMArrayString

    public class JSMArray<E>

extends java.util.ArrayList<E>
implements Array<E>, org.mozilla.javascript.Scriptable

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMArray()`

Method Summary
`void` | `delete(int index)`
`void` | `delete(java.lang.String name)`
`java.lang.Object` | `get(int index, org.mozilla.javascript.Scriptable start)`
`java.lang.Object` | `get(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`java.lang.String` | `getClassName()`
`java.lang.Object` | `getDefaultValue(java.lang.Class<?> hint)`
`java.lang.Object[]` | `getIds()`
`E` | `getItem(int index)`
`java.lang.Integer` | `getLength()`
`org.mozilla.javascript.Scriptable` | `getParentScope()`
`org.mozilla.javascript.Scriptable` | `getPrototype()`
`boolean` | `has(int index, org.mozilla.javascript.Scriptable start)`
`boolean` | `has(java.lang.String name, org.mozilla.javascript.Scriptable start)`
`boolean` | `hasInstance(org.mozilla.javascript.Scriptable instance)`
`int` | `length()`
`JSMArray<E>` | `pushElement(E value)`
`void` | `pushItem(E value)`
`void` | `put(int index, org.mozilla.javascript.Scriptable start, java.lang.Object value)`
`void` | `put(java.lang.String name, org.mozilla.javascript.Scriptable start, java.lang.Object value)`
`JSMArray<E>` | `setElement(int index, E value)`
`void` | `setItem(int index, E value)`
`void` | `setParentScope(org.mozilla.javascript.Scriptable parent)`
`void` | `setPrototype(org.mozilla.javascript.Scriptable prototype)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### JSMArray

    public JSMArray()

Method Detail

### getItem

    public E getItem(int index)

  Specified by:
    `getItem` in interface `Array<E>`

### length

    public int length()

  Specified by:
    `length` in interface `Array<E>`

### getLength

    public java.lang.Integer getLength()

### setElement

    public JSMArray<E> setElement(int index,
                                  E value)

  Specified by:
    `setElement` in interface `Array<E>`

### setItem

    public void setItem(int index,
                        E value)

  Specified by:
    `setItem` in interface `Array<E>`

### pushElement

    public JSMArray<E> pushElement(E value)

  Specified by:
    `pushElement` in interface `Array<E>`

### pushItem

    public void pushItem(E value)

  Specified by:
    `pushItem` in interface `Array<E>`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `org.mozilla.javascript.Scriptable`

### get

    public java.lang.Object get(java.lang.String name,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`

### get

    public java.lang.Object get(int index,
                                org.mozilla.javascript.Scriptable start)

  Specified by:
    `get` in interface `org.mozilla.javascript.Scriptable`

### has

    public boolean has(java.lang.String name,
                       org.mozilla.javascript.Scriptable start)

  Specified by:
    `has` in interface `org.mozilla.javascript.Scriptable`

### has

    public boolean has(int index,
                       org.mozilla.javascript.Scriptable start)

  Specified by:
    `has` in interface `org.mozilla.javascript.Scriptable`

### put

    public void put(java.lang.String name,
                    org.mozilla.javascript.Scriptable start,
                    java.lang.Object value)

  Specified by:
    `put` in interface `org.mozilla.javascript.Scriptable`

### put

    public void put(int index,
                    org.mozilla.javascript.Scriptable start,
                    java.lang.Object value)

  Specified by:
    `put` in interface `org.mozilla.javascript.Scriptable`

### delete

    public void delete(java.lang.String name)

  Specified by:
    `delete` in interface `org.mozilla.javascript.Scriptable`

### delete

    public void delete(int index)

  Specified by:
    `delete` in interface `org.mozilla.javascript.Scriptable`

### getPrototype

    public org.mozilla.javascript.Scriptable getPrototype()

  Specified by:
    `getPrototype` in interface `org.mozilla.javascript.Scriptable`

### setPrototype

    public void setPrototype(org.mozilla.javascript.Scriptable prototype)

  Specified by:
    `setPrototype` in interface `org.mozilla.javascript.Scriptable`

### getParentScope

    public org.mozilla.javascript.Scriptable getParentScope()

  Specified by:
    `getParentScope` in interface `org.mozilla.javascript.Scriptable`

### setParentScope

    public void setParentScope(org.mozilla.javascript.Scriptable parent)

  Specified by:
    `setParentScope` in interface `org.mozilla.javascript.Scriptable`

### getIds

    public java.lang.Object[] getIds()

  Specified by:
    `getIds` in interface `org.mozilla.javascript.Scriptable`

### getDefaultValue

    public java.lang.Object getDefaultValue(java.lang.Class<?> hint)

  Specified by:
    `getDefaultValue` in interface `org.mozilla.javascript.Scriptable`

### hasInstance

    public boolean hasInstance(org.mozilla.javascript.Scriptable instance)

  Specified by:
    `hasInstance` in interface `org.mozilla.javascript.Scriptable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD